#ifndef COLOUR_H__
#define COLOUR_H__


typedef struct HSL {
  union {
    struct {
      unsigned char h; 
      unsigned char s;
      unsigned char l;
    };
    unsigned char raw[3];
  };
  
}hsl_t;


typedef struct RGB {
  union {
    struct {
      unsigned char g; // weirdness of WS2812b green first 
      unsigned char r;
      unsigned char b;
    };
    unsigned char raw[3];
  };
  
}rgb_t;


	
unsigned int hue2rgb(unsigned int p, unsigned int q, int t);
void hsl2rgb( hsl_t* s, rgb_t* d );
//void hsl2rgb2( hsl_t* s, rgb_t* d );


#endif
